Subject: Re: bug#22984: 25.0.92; Typo in etc/DEBUG

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Mar 2016 21:42:09 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Fri, 11 Mar 2016 15:06:40 -0400
> 
> >> Perhaps something along the lines of:
> >> 
> >>     This will suggest the default binary for GDB to start; if you want
> >>     GDB to start a different binary, change the suggestion as needed.
> >>     Alternatively, if you want to attach GDB to an already running Emacs
> >>     process...
> >
> > No, this is a false dichotomy.  The real issue here is that, when you
> > invoke GDB like that, the default binary it suggests is not emacs,
> > it's something else.  Try it, and you will see.
> 
> Yes, when I accepted the default, (something like `prog 3' IIRC), GDB
> then complained that it didn't exist.
> 
> Anyway, if this is not what the paragraph is trying to say, then I don't
> know what is intending to say, which still suggests that it could
> benefit from some clarification.
> 
> In particular:
> 
> - the noun that "it" seems to stand for is the "suggestion" but that
>   noun never appears, so grammatically "it" must be referring to something
>   else -- but what?;
> 
> - the "you are going to start" seems wrong; won't it be GDB that will
>   start the process?;
> 
> - the "new process" in the second case suggests that there is not a new
>   process being started in the first (default) case.
> 
> I hope I'm not being too nitpicky (nor too obtuse) here. Just seems to
> me there is a bit of opportunity here for an improvement.

I'm not sure.  How a bout if you suggest an alternative wording,
perhaps it will explain better what you'd like to see there?